CVE-2018-2602

Public on 2018-02-07
Modified on 2018-03-23
Description
It was discovered that the I18n component of OpenJDK could use an untrusted search path when loading resource bundle classes. A local attacker could possibly use this flaw to execute arbitrary code as another local user by making their Java application load an attacker controlled class file.
Severity
Medium
CVSS v3 Base Score
4.5
See breakdown

Affected Packages

Platform Package Release Date Advisory
Amazon Linux 2 java-1.8.0-openjdk 2018-02-07 17:47 ALAS2-2018-949
Amazon Linux 1 java-1.7.0-openjdk 2018-03-21 22:12 ALAS-2018-974
Amazon Linux 1 java-1.8.0-openjdk 2018-02-07 17:45 ALAS-2018-949

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 4.5 CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:L
NVD CVSSv2 3.7 AV:L/AC:H/Au:N/C:P/I:P/A:P
NVD CVSSv3 4.5 CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:L